- [HTTP request](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.proposals/batchCreate.md.txt#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.proposals/batchCreate.md.txt#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.proposals/batchCreate.md.txt#body.request_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.proposals/batchCreate.md.txt#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.proposals/batchCreate.md.txt#body.response_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.proposals/batchCreate.md.txt#body.BatchCreateProposalsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.proposals/batchCreate.md.txt#body.aspect)
- [CreateProposalRequest](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.proposals/batchCreate.md.txt#CreateProposalRequest)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.proposals/batchCreate.md.txt#CreateProposalRequest.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.proposals/batchCreate.md.txt#try-it)

Creates `Proposal` objects.

### HTTP request

`POST https://admanager.googleapis.com/v1/{parent}/proposals:batchCreate`

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource where `Proposals` will be created. Format: `networks/{networkCode}` The parent field in the CreateProposalRequest must match this field. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requests": [ { object (`CreateProposalRequest`) } ] } ``` |

| Fields ||
|---|---|
| `requests[]` | ``object (`CreateProposalRequest`)`` Required. The `Proposal` objects to create. A maximum of 100 objects can be created in a batch. |

### Response body

Response object for `proposals.batchCreate` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "proposals": [ { object (`Proposal`) } ] } ``` |

| Fields ||
|---|---|
| `proposals[]` | ``object (`Proposal`)`` The `Proposal` objects created. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## CreateProposalRequest

Request object for `proposals.create` method.

| JSON representation |
|---|
| ``` { "parent": string, "proposal": { object (`Proposal`) } } ``` |

| Fields ||
|---|---|
| `parent` | `string` Required. The parent resource where this `Proposal` will be created. Format: `networks/{networkCode}` |
| `proposal` | ``object (`Proposal`)`` Required. The `Proposal` to create. |